Bug 418781 - The --target option for iSCSI targets does not work for kickstart installs
The --target option for iSCSI targets does not work for kickstart installs
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.1
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks: AnacondaStorage
  Show dependency treegraph
 
Reported: 2007-12-10 15:37 EST by Tim Verhoeven
Modified: 2011-07-27 13:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-27 13:19:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to use the --target option for a iscsi target import (3.54 KB, patch)
2007-12-10 15:37 EST, Tim Verhoeven
no flags Details | Diff
Patch for pykickstart to use the --target option for a iscsi target import (652 bytes, patch)
2007-12-10 15:38 EST, Tim Verhoeven
no flags Details | Diff
Updates images containing the patches files (50.24 KB, application/octet-stream)
2007-12-12 03:41 EST, Tim Verhoeven
no flags Details

  None (edit)
Description Tim Verhoeven 2007-12-10 15:37:30 EST
Description of problem:
The --target option (as documented) for a iscsi import does not function.
Anaconda will try to login to all discovered targets even if a --target has been
specified.

Version-Release number of selected component (if applicable):
11.1.2.87-1.el5

How reproducible:
Always

Steps to Reproduce:
1. Do a kickstart install specifing iscsi with the --target option
  
Actual results:
Anaconda tries to login to all discoverd targets for the IP (node) given

Expected results:
Anaconda tries to login to the target specified.

Additional info:
Attached is a patch for anaconda and pykickstart that fixes this.
Comment 1 Tim Verhoeven 2007-12-10 15:37:30 EST
Created attachment 283261 [details]
Patch to use the --target option for a iscsi target import
Comment 2 Tim Verhoeven 2007-12-10 15:38:12 EST
Created attachment 283271 [details]
Patch for pykickstart to use the --target option for a iscsi target import
Comment 3 Tim Verhoeven 2007-12-10 15:39:10 EST
Patch 283261 (for anaconda) also contains the iscsi authentication support that
I reported in bug 402431.
Comment 4 Tim Verhoeven 2007-12-12 03:41:20 EST
Created attachment 285331 [details]
Updates images containing the patches files

Attached a updates images that can be used to do installations with the patched
code. See the anaconda docs on how to use a updates image.
Comment 5 Hans de Goede 2009-11-30 04:37:59 EST
Hi Tim,

Thanks for the patches, and sorry for not responding to this bug for such a long long time. I'm a (relatively) new anaconda developer, and I'm responsible for anaconda's iscsi support now a days.

For 5.4 the iscsi code has been completely rewritten, so I'm pretty sure your patches no longer apply.

Given the long silence, and that no one else has requested the same feature. I wonder if you are still interested in having a working --target option for the iscsi kickstart command ?

Regards,

Hans

Note You need to log in before you can comment on or make changes to this bug.